
QGIS Application - Bug report #5174

'Label field' based on joined table lost when reopening project (old labelling)

2012-03-14 03:26 AM - Ivan Mincik

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Labelling

Affected QGIS version:1.7.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 14921

Description

'Field containing label' setting is lost each time when reopening project in case if label field is set from joined table.

How to reproduce:

1. Open vector layer

2. Open table

3. Join table to vector layer

4. Turn on labeling for vector layer and choose field from joined table as 'Field containing label'

5. Save project and close.

6. Open project and see that setting 'Properties > Labels > Field containing label' is lost.

History

#1 - 2012-03-14 03:32 AM - Ivan Mincik

Tested on latest 'release-1_7' branch.

#2 - 2012-03-17 12:39 PM - Marco Hugentobler

Seems to me this is only with old labelling, not with the new one. Do you confirm?

#3 - 2012-03-17 01:55 PM - Gerhard Spieles

Yes, I can confirm this. It is only using the old labeling in layers properties.

A similar problem occurs in this case:

If the layer is structured in layer properties, "style", "rule based" or "categorized", no label of the joined table is displayed in the map.

#4 - 2012-03-18 03:06 AM - Alessandro Ciali

I experienced a similar behaviour.

I have a DXF added as layer, I joined a table, I used a joined field as label size (properties - label - advanced) and it works fine; on saving exiting and

repoening the project, the join was saved but label settings for size field is lost. W7 with QGIS Master 3a2c0e9.

#5 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0
#6 - 2012-09-04 11:54 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-01-22 06:31 PM - Alister Hood

- Subject changed from 'Label field' based on joined table lost when reopening project to 'Label field' based on joined table lost when reopening project 

(old labelling)

#8 - 2013-01-23 04:25 AM - Giovanni Manghi

- Status changed from Open to Feedback

if this is about old labelling then should be closed.

#9 - 2013-09-22 02:45 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

old labeling is gone for good.

2025-06-08 2/2


